import request from '@/utils/request'

// 查询任务动作组列表
export function listGroupTask(query) {
  return request({
    url: '/hnyz/groupTask/list',
    method: 'get',
    params: query
  })
}

// 查询任务动作组详细
export function getGroupTask(groupId) {
  return request({
    url: '/hnyz/groupTask/' + groupId,
    method: 'get'
  })
}

// 新增任务动作组
export function addGroupTask(data) {
  return request({
    url: '/hnyz/groupTask',
    method: 'post',
    data: data
  })
}

// 修改任务动作组
export function updateGroupTask(data) {
  return request({
    url: '/hnyz/groupTask',
    method: 'put',
    data: data
  })
}

// 删除任务动作组
export function delGroupTask(groupId) {
  return request({
    url: '/hnyz/groupTask/' + groupId,
    method: 'delete'
  })
}
